Package org.apache.lucene.analysis.ja.completion

# Class KatakanaRomanizer

java.lang.Object
org.apache.lucene.analysis.ja.completion.KatakanaRomanizer

public class KatakanaRomanizer extends Object
Converts a Katakana string to Romaji using the pre-defined Katakana-Romaji mapping rules. Internally, this repeatedly performs prefix match on the given char sequence to the pre-built keystroke array until it reaches the end of the sequence, or there are no matched keystrokes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static KatakanaRomanizer`
  `getInstance()`
  Returns the singleton instance of `KatakanaRomenizer`
  `List<CharsRef>`
  `romanize(CharsRef input)`
  Translates a sequence of katakana to romaji.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static KatakanaRomanizer getInstance()
    Returns the singleton instance of `KatakanaRomenizer`

  - ### romanize

    public List<CharsRef> romanize(CharsRef input)
    Translates a sequence of katakana to romaji. An input can produce multiple outputs because a keystroke can be mapped to multiple romajis.